libaaruformat 1.0 Aaru Data Preservation Suite - Format Library

Loading...
Searching...
No Matches
AaruHeader Struct Reference

Version 1 container header placed at offset 0 for legacy / initial format. More...

`#include <aaruformat/structs/header.h>`

## Data Fields
uint64_t | identifier
| File magic (AARU_MAGIC).
uint8_t | application [64]
| UTF-16LE creator application name (fixed-size buffer).
uint8_t | imageMajorVersion
| Container format major version (incompatible changes when incremented).
uint8_t | imageMinorVersion
| Container format minor version (backward compatible evolutions).
uint8_t | applicationMajorVersion
| Creator application major version.
uint8_t | applicationMinorVersion
| Creator application minor / patch version.
uint32_t | mediaType
| Media type enumeration (value from MediaType).
uint64_t | indexOffset
| Absolute byte offset to primary index block (MUST be > 0; 0 => corrupt/unreadable).
int64_t | creationTime
| Creation FILETIME (100 ns since 1601-01-01 UTC).
int64_t | lastWrittenTime
| Last modification FILETIME (100 ns since 1601-01-01 UTC).

## Detailed Description

Version 1 container header placed at offset 0 for legacy / initial format.

Field summary:

- identifier: magic signature (AARU_MAGIC) identifying the container.
- application: UTF‑16LE creator application name (fixed 64 bytes, zero padded).
- imageMajorVersion / imageMinorVersion: container format version of the file itself (not the app).
- applicationMajorVersion / applicationMinorVersion: version of the creating application.
- mediaType: media type enumeration (MediaType).
- indexOffset: byte offset to the first index block (must be > 0).
- creationTime / lastWrittenTime: 64-bit Windows FILETIME timestamps (100 ns intervals since 1601-01-01 UTC).

Definition at line 76 of file header.h.

## Field Documentation

## ◆ application

uint8_t AaruHeader::application[64]

UTF-16LE creator application name (fixed-size buffer).

Definition at line 79 of file header.h.

## ◆ applicationMajorVersion

uint8_t AaruHeader::applicationMajorVersion

Creator application major version.

Definition at line 82 of file header.h.

## ◆ applicationMinorVersion

uint8_t AaruHeader::applicationMinorVersion

Creator application minor / patch version.

Definition at line 83 of file header.h.

## ◆ creationTime

int64_t AaruHeader::creationTime

Creation FILETIME (100 ns since 1601-01-01 UTC).

Definition at line 86 of file header.h.

## ◆ identifier

uint64_t AaruHeader::identifier

File magic (AARU_MAGIC).

Definition at line 78 of file header.h.

Referenced by aaruf_identify_stream().

## ◆ imageMajorVersion

uint8_t AaruHeader::imageMajorVersion

Container format major version (incompatible changes when incremented).

Definition at line 80 of file header.h.

Referenced by aaruf_identify_stream().

## ◆ imageMinorVersion

uint8_t AaruHeader::imageMinorVersion

Container format minor version (backward compatible evolutions).

Definition at line 81 of file header.h.

## ◆ indexOffset

uint64_t AaruHeader::indexOffset

Absolute byte offset to primary index block (MUST be > 0; 0 => corrupt/unreadable).

Definition at line 85 of file header.h.

## ◆ lastWrittenTime

int64_t AaruHeader::lastWrittenTime

Last modification FILETIME (100 ns since 1601-01-01 UTC).

Definition at line 87 of file header.h.

## ◆ mediaType

uint32_t AaruHeader::mediaType

Media type enumeration (value from MediaType).

Definition at line 84 of file header.h.

The documentation for this struct was generated from the following file:

- include/aaruformat/structs/header.h